/**
 * Classe para o objeto Professor. 
 *  
 * @author wylliams
 */
public class Professor {

	private String nome;
	private String matricula;
	private boolean ativo;
	private boolean ti;
	
	/**
	 * Construtor default.
	 */
	public Professor() {
		System.out.println("Construtor default");
	}
	
	/**
	 * Construtor com passagem de parametro.
	 */
	public Professor(String nome, boolean ti) {
		this.nome = nome;
		this.ti = ti;
		this.ativo = false;
	}
	
	public void setNome(String nome) {
		this.nome = nome;
	}
	
	public String getNome() {
		return this.nome;
	}

	public String getMatricula() {
		return matricula;
	}

	public void setMatricula(String matricula) {
		this.matricula = matricula;
	}

	public boolean isAtivo() {
		return ativo;
	}

	public void setAtivo(boolean ativo) {
		this.ativo = ativo;
	}

	public boolean isTi() {
		return ti;
	}

	public void setTi(boolean ti) {
		this.ti = ti;
	}
	
}
